        page    60, 132

;******************************************************************************
	title	wrapper for VMM event services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM event services
;
;   Version:  2.00
;
;   Date:     November 20, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;   11/20/93  2.00      Wrote it.                                   BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM event services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_LOCKED_CODE_SEG

BeginProc _vmmCallPriorityVMEvent, PUBLIC

        hVM             equ     [ebp + 8]
        dwBoost         equ     [ebp + 12]
        dwFlags         equ     [ebp + 16]
        dwRefData       equ     [ebp + 20]
        fnEventProc     equ     [ebp + 24]
        dwTimeOut       equ     [ebp + 28]

        push    ebp
        mov     ebp, esp

        pushad

        mov     eax, dwBoost
        mov     ebx, hVM
        mov     ecx, dwFlags
        mov     edx, dwRefData
        mov     esi, fnEventProc
        mov     edi, dwTimeOut

        VMMCall Call_Priority_VM_Event

        mov     [esp.Pushad_EAX], esi
        popad

        pop     ebp
        ret

EndProc _vmmCallPriorityVMEvent

VxD_LOCKED_CODE_ENDS

end


