        page    60, 132

;******************************************************************************
	title	wrapper for DOSMGR services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for DOSMGR services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to DOSMGR services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        INCLUDE DOSMGR.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

BeginProc _dosmgrAddDevice, PUBLIC

        hVM     equ     [ebp + 8]
        pDevHdr equ     [ebp + 12]

        push    ebp
        mov     ebp, esp

        push    ebx

        mov     ebx, hVM
        mov     eax, pDevHdr

        VxDCall DOSMGR_Add_Device

        pop     ebx
        jc      dmad_fail

        mov     eax, not False

dmad_exit:
        pop     ebp
        ret

dmad_fail:
        mov     eax, False
        jmp     SHORT dmad_exit

EndProc _dosmgrAddDevice

VxD_PAGEABLE_CODE_ENDS

end



