        page    60, 132

;******************************************************************************
	title	wrapper for miscellaneous VMM services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for miscellaneous VMM services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to miscellaneous VMM services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST


VxD_ICODE_SEG

BeginProc _vmmGetExecPath, PUBLIC

        pPath   equ     [ebp + 8]

        push    ebp
        mov     ebp, esp

        push    esi
        push    edi
        push    ecx

        VMMCall Get_Exec_Path
        mov     esi, edx
        mov     edi, pPath
        mov     [esp], ecx

        rep     movsb

        pop     eax                     ; assumes ECX is on stack
        pop     edi
        pop     esi

        pop     ebp
        ret

EndProc _vmmGetExecPath

VxD_ICODE_ENDS

end


