        page    60, 132

;******************************************************************************
	title	wrapper for VXDLDR peldr services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VXDLDR peldr services
;
;   Version:  2.00
;
;   Date:     January 12, 1994
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM registry services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        INCLUDE VXDLDR.Inc
        .LIST


VxD_PAGEABLE_CODE_SEG

BeginProc _peldrLoadModule, PUBLIC

        VxDJmp  _PELDR_LoadModule

EndProc _peldrLoadModule

VxD_PAGEABLE_CODE_ENDS

end




