        page    60, 132

;******************************************************************************
	title	BASE - wrapper for VMM base services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM base services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM base services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST


VxD_PAGEABLE_CODE_SEG

BeginProc _vmmBeginCriticalSection, PUBLIC

        hVM     equ     [ebp + 8]
        uFlags  equ     [ebp + 12]

        push    ebp
        mov     ebp, esp

        push    ebx
        push    ecx

        mov     ecx, uFlags
        mov     ebx, hVM
        VMMCall Begin_Critical_Section

        pop     ecx
        pop     ebx

        pop     ebp
        ret

EndProc _vmmBeginCriticalSection

VxD_PAGEABLE_CODE_ENDS

end


