        page    60, 132

;******************************************************************************
	title	wrapper for VMM services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_INIT_CODE_SEG

BeginProc _vmmHookV86IntChain, PUBLIC

        uInt            equ     [ebp + 8]
        pIntProc        equ     [ebp + 12]

        push    ebp
        mov     ebp, esp

        push    esi
        mov     eax, uInt
        mov     esi, pIntProc
        VMMCall Hook_V86_Int_Chain
        pop     esi
        jc      SHORT HVP_ExitFailure
        mov     eax, not False
        jmp     SHORT HVP_Exit

HVP_ExitFailure:
        xor     eax, eax

HVP_Exit:
        pop     ebp
        ret

EndProc _vmmHookV86IntChain

VxD_INIT_CODE_ENDS

end


