        page    60, 132

;******************************************************************************
	title	DEBUG - wrapper for VMM debug services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM debug services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM debug services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        INCLUDE Debug.Inc
        .LIST


VxD_LOCKED_CODE_SEG

BeginProc _vmmTestDebugInstalled, PUBLIC

        VMMCall Test_Debug_Installed
        jz      SHORT tdi_nope
        mov     eax, not False     
        ret
        
tdi_nope:
        mov     eax, False
        ret

EndProc _vmmTestDebugInstalled

VxD_LOCKED_CODE_ENDS

end


